Subject: Re: bug#67452: 30.0.50; [PATCH] Make split-root-window functions handle argument

From: martin rudalics <[email-masked]>
Date: Mon, 27 Nov 2023 10:20:36 +0100

> I guess we should do this for consistency with other split-window-*
 > commands?  Martin, any reasons the split-root-window-* commands didn't
 > follow the example of the corresponding split-window-* commands?

No idea.  Maybe Hugo Heagren can tell.

 > In any case, to make the split-root-window-* commands support C-u we
 > just need to change the interactive spec from "P" to "p", there's no
 > need for anything more complex.

I think so.  Here 'split-window-below' and 'split-window-right' use

   (let* ((size (and size (prefix-numeric-value size)))

maybe to "just work" when being passed an invalid SIZE argument but I
don't remember the details.

martin